Download it now!
Bug 36668 - Possibility to add image captions above the image
Summary: Possibility to add image captions above the image
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: VOTE target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-29 04:26 UTC by Bernhard Krabina
Modified: 2013-12-16 22:57 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Reproduction on the LO 3.6 (the Position field is grayed) (92.42 KB, image/png)
2013-01-03 11:13 UTC, Bartosz
Details
Add caption above table is working correctly (63.40 KB, image/png)
2013-01-03 11:30 UTC, Bartosz
Details
Document demonstrating that this bug is still not fixed. (21.47 KB, application/vnd.oasis.opendocument.text)
2013-03-21 13:51 UTC, Allan Macdonald
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Krabina 2011-04-29 04:26:50 UTC
For some strange reason, writer allows captions of tables above or below the table. If I want to add a caption to an image, the option "position" cannot be selected - therefore only "below" is selectable.

I want to be able to add image captions above as well.
Comment 1 Rainer Bielefeld Retired 2011-05-10 00:47:57 UTC
May be you want to vote on our new Voting Page?
<http://wiki.documentfoundation.org/Vote_for_Enhancement>
Comment 2 Christophe Strobbe 2011-08-29 05:54:34 UTC
This enhancements request is relevant to users with disabilities, especially blind users (who typically use a screen reader) and other users of text-to-speech software (e.g. some users with dyslexia). A sighted user can easily locate a caption visually when it is below an image, but when using text-to-speech software, users read from top to bottom and encounter the image before the caption. It does not make much sense to hear the announcement (in the caption) for the image after the image itself. So it is not only important to enable captions above images but also to make this the default option. (With tables captions, the current default is below the table, but that is for another bug.)
Comment 3 Björn Michaelsen 2011-12-23 12:04:41 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 4 sasha.libreoffice 2012-01-24 09:22:08 UTC
reproduced in LibO 3.6.0 master on Fedora 64 bit
if I add caption to picture, field "Position" is grey, I can not change it from Below to another variant. And for caption appears above picture, I must move picture by mouse
Comment 5 Bartosz 2013-01-03 11:13:46 UTC
Created attachment 72437 [details]
Reproduction on the LO 3.6 (the Position field is grayed)
Comment 6 Bartosz 2013-01-03 11:30:24 UTC
Created attachment 72441 [details]
Add caption above table is working correctly
Comment 7 Regina Henschel 2013-01-03 19:05:02 UTC
That is only an UI problem. Richt-click on the picture (not on the frame) and then on item "picture". Go to the dialog page "Type". Change item Position-vertical from "From top" to "Bottom" and your caption is above the picture.
Comment 8 Bartosz 2013-01-04 13:40:42 UTC
I agree that it is the UI problem.

Unfortunately I'm unable to find workaround for that issue.
I have to add caption below, and then I could add new above caption to the picture.

At the end I have two captions (above and below picture)
Comment 9 Not Assigned 2013-02-28 14:47:55 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2a9c14730d93ea434cb456d248c37c7ff41fa6c0

Resolves: fdo#36668 allow image captions above image



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 sasha.libreoffice 2013-03-01 07:05:23 UTC
Thanks for fixing this bug
Comment 11 Allan Macdonald 2013-03-21 13:51:59 UTC
Created attachment 76864 [details]
Document demonstrating that this bug is still not fixed.

Dear LibreOffice Developers,

This attachment demonstrates that this bug is still not fixed in the LibreOffice release currently available to the public, Version 4.0.1.2 (Build ID: 84102822e3d61eb989ddd325abf1ac077904985), running under Windows XP 2002 SP3

The attachment https://bugs.freedesktop.org/attachment.cgi?id=72441 shows the dialog for adding a table caption, not an image caption, so this attachment does not demonstrate that the bug is fixed.

Perhaps this bug ought to be reopened until the fixed release is made available.  Thank you for the opportunity to contribute information that might improve LibreOffice.

Br,
Allan
Comment 12 Caolán McNamara 2013-04-03 09:52:28 UTC
target:4.1.0, not target:4.0.1